<mamecheat version="1">

  <cheat desc="Free Play">
    <script state="run">
      <action>maincpu.pb@6BF0=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Time">
    <script state="run">
      <action>maincpu.pb@66D4=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite POW">
    <script state="run">
      <action>maincpu.pb@6860=02</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@548D</action>
      <action>temp1 =maincpu.mb@11FE</action>
      <action>temp2 =maincpu.mb@2482</action>
      <action>temp3 =maincpu.mb@2491</action>
    </script>
    <script state="run">
      <action>maincpu.mw@548D=4318</action>
      <action>maincpu.mb@11FE=18</action> <!-- Pt 1 takes care of most collisions, Pt 2 Fireball 1/3 -->
      <action>maincpu.mb@2482=00</action> <!-- Fireball 2/3 -->
      <action>maincpu.mb@2491=C9</action> <!-- Fireball 3/3 -->
    </script>
    <script state="off">
      <action>maincpu.mw@548D=temp0 </action>
      <action>maincpu.mb@11FE=temp1 </action>
      <action>maincpu.mb@2482=temp2 </action>
      <action>maincpu.mb@2491=temp3 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@6116=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@6156=07</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
